<?

include_once("../common/serverroot.php");


        
$_SESSION['SERVER_ROOT'] = getServerRoot(); 

function showErrorAndMessagesLogs() {

	if(is_array($_SESSION['errors']) OR is_array($_SESSION['messages'])) {
		print "<div class=\"errors_and_messages\">";
		if(is_array($_SESSION['errors'])) {

			print "<div class=\"errors\">";
			foreach($_SESSION['errors'] as $key => $error) {
				print "{$error}<Br />";
			}
			print "</div>";
			unset($_SESSION['errors']);
		}
		
		if(is_array($_SESSION['messages'])) {
			
			print "<div class=\"messages\">";
			foreach($_SESSION['messages'] as $key => $message) {
				print "{$message}<Br />";
			}
			print "</div>";
			unset($_SESSION['messages']);
		}
		print "</div>";
	}
}

###   INSTALLER TOOLS   ###########################################################################

/**
 * Split SQL file
 * 
 * @author	phpBB Community
 * @since 	Mar 17, 2008
 */
function splitSqlFile($sql, $delimiter) {
	// Split up our string into "possible" SQL statements.
	$tokens = explode($delimiter, $sql);

	// try to save mem.
	$sql = "";
	$output = array();
	
	// we don't actually care about the matches preg gives us.
	$matches = array();
	
	// this is faster than calling count($oktens) every time thru the loop.
	$token_count = count($tokens);
	for ($i = 0; $i < $token_count; $i++) {
		// Don't wanna add an empty string as the last thing in the array.
		if (($i != ($token_count - 1)) || (strlen($tokens[$i] > 0))) {
			// This is the total number of single quotes in the token.
			$total_quotes = preg_match_all("/'/", $tokens[$i], $matches);
			// Counts single quotes that are preceded by an odd number of backslashes, 
			// which means they're escaped quotes.
			$escaped_quotes = preg_match_all("/(?<!\\\\)(\\\\\\\\)*\\\\'/", $tokens[$i], $matches);
			
			$unescaped_quotes = $total_quotes - $escaped_quotes;
			
			// If the number of unescaped quotes is even, then the delimiter did NOT occur inside a string literal.
			if (($unescaped_quotes % 2) == 0) {
				// It's a complete sql statement.
				$output[] = $tokens[$i];
				// save memory.
				$tokens[$i] = "";
				
			} else {
				// incomplete sql statement. keep adding tokens until we have a complete one.
				// $temp will hold what we have so far.
				$temp = $tokens[$i] . $delimiter;
				// save memory..
				$tokens[$i] = "";
				
				// Do we have a complete statement yet? 
				$complete_stmt = false;
				
				for ($j = $i + 1; (!$complete_stmt && ($j < $token_count)); $j++) {
					// This is the total number of single quotes in the token.
					$total_quotes = preg_match_all("/'/", $tokens[$j], $matches);
					// Counts single quotes that are preceded by an odd number of backslashes, 
					// which means they're escaped quotes.
					$escaped_quotes = preg_match_all("/(?<!\\\\)(\\\\\\\\)*\\\\'/", $tokens[$j], $matches);
			
					$unescaped_quotes = $total_quotes - $escaped_quotes;
					
					if (($unescaped_quotes % 2) == 1) {
						// odd number of unescaped quotes. In combination with the previous incomplete
						// statement(s), we now have a complete statement. (2 odds always make an even)
						$output[] = $temp . $tokens[$j];

						// save memory.
						$tokens[$j] = "";
						$temp = "";
						
						// exit the loop.
						$complete_stmt = true;
						// make sure the outer loop continues at the right point.
						$i = $j;
						
					} else {
						// even number of unescaped quotes. We still don't have a complete statement. 
						// (1 odd and 1 even always make an odd)
						$temp .= $tokens[$j] . $delimiter;
						// save memory.
						$tokens[$j] = "";
					}
				} // for..
			} // else
		}
	}

	return $output;
}


function writeSettings($serverRoot, $address, $username, $password, $dbname) {
	$settingsDefaultFile	=	"../common/settings.default.php";
	$settingsFile			=	"../common/settings.php";

	// Open and read default settings	
	$handle					= fopen($settingsDefaultFile, 'r');
	$settingsContent		= fread($handle, filesize($settingsDefaultFile));
	fclose($handle);
	
	// Open and read settings
	fopen($settingsFile, 'x+');
	
	$settingsContent = str_ireplace("{##_SERVER_ROOT_##}", $serverRoot, $settingsContent);
	
	$settingsContent = str_ireplace("{##_DB_ADDRESS_##}", $address, $settingsContent);
	$settingsContent = str_ireplace("{##_DB_USERNAME_##}", $username, $settingsContent);
	$settingsContent = str_ireplace("{##_DB_PASSWORD_##}", $password, $settingsContent);
	$settingsContent = str_ireplace("{##_DB_DBNAME_##}", $dbname, $settingsContent);
	$settingsContent = str_ireplace("{##_INSTALLER_##}", "false", $settingsContent);
	
	$handle = fopen($settingsFile, 'w');
	if(fwrite($handle, $settingsContent) == true) {
		return true;
	} else {
		return false;
	}	
}

?>